package cn.com.qmth.examcloud.starters.face.verify.service;

import cn.com.qmth.examcloud.starters.face.verify.common.FaceResult;
import cn.com.qmth.examcloud.starters.face.verify.common.param.ImageParm;

public interface FaceVerifyService {

    /**
     * 百度 人脸活体检测
     */
    FaceResult faceVerifyByBaidu(ImageParm image);

    /**
     * 百度 人脸检测
     */
    FaceResult faceDetectByBaidu(ImageParm image);

    /**
     * 百度 人脸比对
     */
    FaceResult faceCompareByBaidu(ImageParm image1, ImageParm image2);

    /**
     * Face++ 人脸检测
     */
    FaceResult faceDetectByFacePlus(ImageParm image);

    /**
     * Face++ 人脸比对
     */
    FaceResult faceCompareByFacePlus(ImageParm image1, ImageParm image2);

}